package com.qmth.themis.business.bean.exam;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("人脸验证结果参数")
public class FaceVerifyParamBean {

	@JsonSerialize(using = ToStringSerializer.class)
	@ApiModelProperty("考试记录ID")
	private Long recordId;
	
	@ApiModelProperty("FIRST_START:首次开考, RESUME_START:断点恢复, IN_PROCESS:过程中")
	private String type;
	
	@ApiModelProperty("照片文件URL")
	private String photoUrl;
	
	@ApiModelProperty("人脸数量")
	private Integer faceCount;
	
	@ApiModelProperty("相似度分数")
	private Double similarity;
	
	@ApiModelProperty("真实性结果")
	private Double realness;
	
	@ApiModelProperty("验证时间")
	private Long time;
	
	@ApiModelProperty("NONE: 无异常 FACE_COUNT_ERROR: 人脸数量异常 FACE_COMPARE_ERROR: 人脸比对异常 EYE_CLOSE_ERROR: 闭眼检测异常")
	private String exception;

	public Long getRecordId() {
		return recordId;
	}

	public void setRecordId(Long recordId) {
		this.recordId = recordId;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	public String getPhotoUrl() {
		return photoUrl;
	}

	public void setPhotoUrl(String photoUrl) {
		this.photoUrl = photoUrl;
	}

	public Integer getFaceCount() {
		return faceCount;
	}

	public void setFaceCount(Integer faceCount) {
		this.faceCount = faceCount;
	}

	public Double getSimilarity() {
		return similarity;
	}

	public void setSimilarity(Double similarity) {
		this.similarity = similarity;
	}

	public Double getRealness() {
		return realness;
	}

	public void setRealness(Double realness) {
		this.realness = realness;
	}

	public Long getTime() {
		return time;
	}

	public void setTime(Long time) {
		this.time = time;
	}

	public String getException() {
		return exception;
	}

	public void setException(String exception) {
		this.exception = exception;
	}
	
	


}
